List rig profiles
GET
/v1/rig-profilescurl -X GET 'https://api.embodiflow.io/v1/rig-profiles' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
查询参数
- pageSizenumber
Page size. Default 25, maximum 100. Values above the maximum are refused.
- pageTokenstring
Opaque page token from the previous response's `nextPageToken`.
响应
Success
- dataarray<RigProfileDto>必填
- idstring必填
- namestring必填
- statusstring必填可选值draftpublished
- sourceRecordingIdstring | null必填
- latestRevisionnumber | null必填
- publishedAtstring | null必填
- createdAtstring必填
- updatedAtstring必填
- nextPageTokenstring
Opaque AIP-158 page token. Omitted when the collection is exhausted.
- metaobject必填
- pageSizenumber必填
- totalCountnumber
- truncatedone of
- requestIdstring
响应示例
{
"data": [
{
"id": "string",
"name": "string",
"status": "draft",
"sourceRecordingId": "string",
"latestRevision": 0,
"publishedAt": "string",
"createdAt": "string",
"updatedAt": "string"
}
],
"nextPageToken": "string",
"meta": {
"pageSize": 0,
"totalCount": 0,
"truncated": false,
"requestId": "string"
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1